Announcement Announcement Module
Collapse
No announcement yet.
¿cómo configuro el Spring IDE Webflow con el eclipse 3.1? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • ¿cómo configuro el Spring IDE Webflow con el eclipse 3.1?

    how do I configure the Spring IDE Webflow with the eclipse 3.1?

    I want to configure the Spring IDE 1.2.3 and the Spring IDE Webflow in the Eclipse 3.1, like this would achieve? and of where the Spring IDE Webflow would obtain for eclipse 3.1?

    thank you.

  • #2
    Hello iosev,

    how do I configure the Spring IDE Webflow with the eclipse 3.1?
    Please refer to http://springide.org/project/wiki/WebFlowEditorUsage for an introduction on how to use the Spring IDE WebFlow Support. For more information you can also have a look to http://springide.org/project/wiki/WebFlowEditorUsage .

    I want to configure the Spring IDE 1.2.3 and the Spring IDE Webflow in the Eclipse 3.1, like this would achieve? and of where the Spring IDE Webflow would obtain for eclipse 3.1?
    Spring WebFlow support is currently not distributed with Spring IDE 1.2.3. You need to manually install the WebFlow Support from the development updatesite at http://springide.org/updatesite_dev/ . Please direct your Eclipse update manager to above updatesite url.

    Cheers

    Christian

    Comment


    • #3
      thanks!!!

      but my problem is that when i configured this plugins and go to project´s properties and throw error:

      Code:
      !SUBENTRY 1 org.eclipse.core.runtime 4 1 2005-10-11 14:35:38.328
      !MESSAGE Plug-in org.springframework.ide.eclipse.web.flow.core was unable to load class org.springframework.ide.eclipse.web.flow.core.validation.WebFlowProjectValidator.
      !STACK 0
      java.lang.ClassNotFoundException: org.springframework.ide.eclipse.web.flow.core.validation.WebFlowProjectValidator
      	at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:403)
      	at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:350)
      !ENTRY org.eclipse.osgi 2005-10-11 14:35:56.625
      !MESSAGE An error occurred while automatically activating bundle org.springframework.ide.eclipse.web.flow.core (309).
      !STACK 0
      org.osgi.framework.BundleException: Exception in org.springframework.ide.eclipse.web.flow.core.WebFlowCorePlugin.start() of bundle org.springframework.ide.eclipse.web.flow.core.
      	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:1013)
      	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:969)
      	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:321)
      	at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:266)
      	at org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLocalClass(EclipseClassLoader.java:116)
      	at  org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:376)
      	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:163)
      	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
      	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
      	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
      	at java.lang.reflect.Method.invoke(Unknown Source)
      	at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334)
      	at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
      	at org.eclipse.core.launcher.Main.run(Main.java:973)
      	at org.eclipse.core.launcher.Main.main(Main.java:948)
      Caused by: java.lang.NoSuchMethodError: org.springframework.ide.eclipse.core.SpringCoreUtils.isSpringProject(Lorg/eclipse/core/resources/IProject;)Z
      	at org.springframework.ide.eclipse.web.flow.core.internal.model.WebFlowModel.getBeansProjects(WebFlowModel.java:182)
      	at org.springframework.ide.eclipse.web.flow.core.internal.model.WebFlowModel.initialize(WebFlowModel.java:159)
      	at org.springframework.ide.eclipse.web.flow.core.internal.model.WebFlowModel.startup(WebFlowModel.java:79)
      	at org.springframework.ide.eclipse.web.flow.core.WebFlowCorePlugin.start(WebFlowCorePlugin.java:76)
      	at org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.run(BundleContextImpl.java:994)
      this is error that is workspace´s log.

      sorry but i don´t know to do.

      Comment


      • #4
        Originally posted by iosev
        Code:
        Caused by: java.lang.NoSuchMethodError: org.springframework.ide.eclipse.core.SpringCoreUtils.isSpringProject(Lorg/eclipse/core/resources/IProject;)Z
        	at org.springframework.ide.eclipse.web.flow.core.internal.model.WebFlowModel.getBeansProjects(WebFlowModel.java:182)
        	at org.springframework.ide.eclipse.web.flow.core.internal.model.WebFlowModel.initialize(WebFlowModel.java:159)
        	at org.springframework.ide.eclipse.web.flow.core.internal.model.WebFlowModel.startup(WebFlowModel.java:79)
        	at org.springframework.ide.eclipse.web.flow.core.WebFlowCorePlugin.start(WebFlowCorePlugin.java:76)
        	at org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.run(BundleContextImpl.java:994)
        Please refer to http://forum.springframework.org/showthread.php?t=17676. It seems to be the same issue here.

        Cheers,
        Torsten
        Last edited by robyn; May 14th, 2006, 06:19 PM.

        Comment


        • #5
          Hi Torsten,

          i've got the same issue, but it seens your url (http://forum.springframework.org/showthread.php?t=17676) isn't working.

          Thanks.
          Last edited by robyn; May 14th, 2006, 05:07 PM.

          Comment


          • #6
            Hello,

            I had same errors. I choose (for pedagogical purpose) to rebuild (simple) the plugin with the code in the svn repository of springide.org + add the dtd of pr5 web flow and now plugin working like a charm in eclipse 3.1.1 wtp 0.7.1.

            Comment


            • #7
              Hi geideon,

              Did you rebuid all packages or just the org.springframework.ide.eclipse.web.flow.core package!?

              What dtd are you referring!? I downloaded spring-webflow-pr5 at sourcefourge. I've found spring-webflow.dtd file. What changes if I rebuild with this file!?

              Thanks.

              Comment


              • #8
                As i remember:

                In the svn, I checked out the three plug ins for web flow:
                ...web.flow.core,
                ...web.flow.ui_editor,
                ...web.flow.ui

                I checked out the feature plug in and the spring ide core plug in also.

                I changed only the versions to 0.0.3 for example (in the plugin.xml of each web flow plugin)
                I replaced the web flow dtd pr3 with the web flow dtd pr5 (don't remembere where)

                In eclipse (sdk) i exported
                the plugins (File/Export/Deployables plug-ins and fragments)
                the feature (File/Export/Deployable Features)

                I copied the contents of the 2 created folders (features and plugins) in eclipse (started with -clean option)
                (I removed my old configs (.springWebFlow) of my projects and recreated them from scratch)

                Voil
                hope this helps,
                i'm waiting for 1.3

                Comment


                • #9
                  Geideon,

                  it works!!! But unfortunately I don't understand what happened...

                  Thanks.

                  Comment


                  • #10
                    Hi all,

                    I recompiled the WebFlow Editor in order to recover compatibility with Spring IDE 1.2.3. You can download the WebFlow PR3 release from the developer updatesite.

                    Please be aware that I haven't updated the dtd or the internal Parser to Spring WebFlow PR5. The Spring IDE team has suspended the development of the WebFLow Editor until WebFlow API is stable enough to work on. That should happen around the upcoming Spring Experience.

                    You can expect that Spring IDE WebFlow support will be released shortly after version 1.0 of Spring WebFlow becomes available.

                    See you all in Florida...

                    Cheers

                    Christian

                    Comment

                    Working...
                    X